uniform float t;


void main()
{
    gl_Position = ftransform();

    gl_TexCoord[0] = gl_MultiTexCoord0;

    gl_TexCoord[1] = normalize(gl_Vertex - gl_ModelViewMatrixInverse[3]);

    gl_TexCoord[2].x = gl_MultiTexCoord0.x * sin(t) + gl_MultiTexCoord0.x * cos(t);
    gl_TexCoord[2].y = - gl_MultiTexCoord0.x * cos(t) + gl_MultiTexCoord0.x * sin(t);
}
